<template>
  <div id="bank" class="bt-container" style="margin: 0 auto;margin-top:40px; margin-bottom:40px;">
    <br>
    <h2 style='display:inline'>{{ $t('HEADER.LCT_BANK') }}</h2>
     <div style="display:inline; float: right;">
      <a href="javascript:history.back();">
        <el-button size="small">{{ $t('ITEM_FROM_BANK.BACK') }}</el-button>
      </a>
    </div> 
    <br><br>
    <el-tabs v-model="activeTab">
      <!--<el-tab-pane label="주제 저장소" name="class"> 임시로 막음 190705
        <bank-class />
      </el-tab-pane>-->
      <el-tab-pane :label="$t('BANK.SAVED_LECS')" name="lecture">
        <bank-lecture />
      </el-tab-pane>
      <el-tab-pane :label="$t('BANK.SAVED_LEC_ITEMS')" name="item">
        <bank-lecture-item />
      </el-tab-pane>
    </el-tabs>
  </div>
</template>

<script>
import BankClass from '../partials/BankClass';
import BankLecture from '../partials/BankLecture';
import BankLectureItem from '../partials/BankLectureItem';


export default {
  name: 'Bank',
  components: {
    BankClass,
    BankLecture,
    BankLectureItem,
  },
  data() {
    return {
      activeTab: 'lecture',
    };
  },
};
</script>

<style lang="scss" scoped>
#teacher_lecture_manage_wrapper {
  .align-right {
    text-align: right;
  }
}
</style>